package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface ForgetOneContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getCode(String phone, String type);

        Observable<BaseBean> verifyCode(String phone, String verifyCode, String type);
    }

    interface View extends IBaseView {
        void codeSuccess();

        void verifySuccess();
    }

    interface Presenter extends IBasePresenter<View> {
        void getCode(String phone, String type);

        void verifyCode(String phone, String verifyCode, String type);

    }
}
